module Mks
  module Maintenance
    class LocationTypesController < ApplicationController
      before_action :set_location_type, only: [:update]
      def index
        data = LocationType.all
        render json: Mks::Common::MethodResponse.success_response(data)
      end

      def create
        lt = LocationType.new(location_type_params)
        if lt.valid?
          lt.save
          res = Mks::Common::MethodResponse.success_response(lt, 'Location type saved successfully !')
          render json: res
        else
          res = failure_response(lt)
          render json: res, status: :unprocessable_entity
        end
      end

      def update
        if @lt.update(location_type_params)
          res = Mks::Common::MethodResponse.success_response(@lt, 'Location type updated successfully !')
          render json: res
        else
          res = failure_response(@lt)
          render json: res, status: :unprocessable_entity
        end
      end

      private

      def location_type_params
        params.require(:location_type).permit(:id, :code, :name, :description)
      end

      def set_location_type
        @lt = LocationType.find(params[:id])
      end
    end
  end
end