module Mks
  module Maintenance
    class MaintenanceCategoriesController < ApplicationController
      before_action :set_maintenance_category, only: [:update]

      def index
        data = MaintenanceCategory.all
        render json: Mks::Common::MethodResponse.success_response(data)
      end

      def create
        mc = MaintenanceCategory.new(maintenance_category_params)
        if mc.valid?
          mc.save
          res = Mks::Common::MethodResponse.success_response(mc, 'Maintenance category saved successfully !')
          render json: res
        else
          res = Mks::Common::MethodResponse.failure_response(mc)
          render json: res, status: :unprocessable_entity
        end
      end

      def update
        if @maintenance_category.update(maintenance_category_params)
          res = Mks::Common::MethodResponse.success_response(
            @maintenance_category,
            'Maintenance category updated successfully !'
          )
          render json: res
        else
          res = Mks::Common::MethodResponse.failure_response(@maintenance_category)
          render json: res, status: :unprocessable_entity
        end
      end

      private

      def set_maintenance_category
        @maintenance_category = MaintenanceCategory.find(params[:id])
      end


      def maintenance_category_params
        params.require(:maintenance_category).permit(:code, :name, :description)
      end
    end
  end
end