module Mks
  module Maintenance
    class MaintenanceCostsController < ApplicationController
      before_action :set_maintenance_cost, only: %i[show update destroy]

      def index
        data = MaintenanceCost.where(job_card_id: params[:id])
        render json: Mks::Common::MethodResponse.success_response(data)
      end

      def show
        render json: Mks::Common::MethodResponse.success_response(@maintenance_cost)
      end

      def create
        params = maintenance_cost_params
        params[:cost_detail] = JSON(params[:cost_detail])

        @maintenance_cost = MaintenanceCost.new(params)
        if @maintenance_cost.save
          response = Mks::Common::MethodResponse.success_response(@maintenance_cost, 'Maintenance cost saved successfully!')
          render json: response, status: :created, location: @maintenance_cost
        else
          response = Mks::Common::MethodResponse.failure_response(@maintenance_cost)
          render json: response, status: :unprocessable_entity
        end
      end

      def update
        params = maintenance_cost_params
        params[:cost_detail] = JSON(params[:cost_detail]) if params[:cost_detail]
        if @maintenance_cost.update(params)
          render json: Mks::Common::MethodResponse.success_response(@maintenance_cost, 'Maintenance cost updated successfuly!')
        else
          render json: Mks::Common::MethodResponse.failure_response(@maintenance_cost), status: :unprocessable_entity
        end
      end


      private

      def set_maintenance_cost
        @maintenance_cost = MaintenanceCost.find(params[:id])
      end

      def maintenance_cost_params
        params.require(:maintenance_cost).permit(:job_card_id, :cost_type_id, :cost_detail, :remark)
      end
    end
  end
end