module Mks
  module Maintenance
    class MaintenanceStatusesController < ApplicationController
      before_action :set_maintenance_status, only: [:update]
      def index
        data = MaintenanceStatus.all
        render json: Mks::Common::MethodResponse.success_response(data)
      end

      def create
        ms = MaintenanceStatus.new(maintenance_status_params)
        if ms.valid?
          ms.save
          res = Mks::Common::MethodResponse.success_response(ms, 'Maintenance status saved successfully !')
          render json: res
        else
          res = Mks::Common::MethodResponse.failure_response(ms)
          render json: res, status: :unprocessable_entity
        end
      end

      def update
        if @ms.update(maintenance_status_params)
          res = Mks::Common::MethodResponse.success_response(@ms, 'Maintenance status updated successfully !')
          render json: res
        else
          res = Mks::Common::MethodResponse.failure_response(@ms)
          render json: res, status: :unprocessable_entity
        end
      end

      private

      def maintenance_status_params
        params.require(:maintenance_status).permit(:id, :code, :name, :description)
      end

      def set_maintenance_status
        @ms = MaintenanceStatus.find(params[:id])
      end
    end
  end
end