module Mks
  module Maintenance
    class MaintenanceTypesController < ApplicationController
      before_action :set_maintenance_type, only: [:update]

      def index
        data = MaintenanceType.all
        render json: Mks::Common::MethodResponse.success_response(data)
      end

      def create
        mt = MaintenanceType.new(maintenance_type_params)
        if mt.valid?
          mt.save
          res = Mks::Common::MethodResponse.success_response(mt, 'Maintenance type saved successfully !')
          render json: res
        else
          res = Mks::Common::MethodResponse.failure_response(mt)
          render json: res, status: :unprocessable_entity
        end
      end

      def update
        if @maintenance_type.update(maintenance_type_params)
          res = Mks::Common::MethodResponse.success_response(@maintenance_type, 'Maintenance type updated successfully !')
          render json: res
        else
          res = Mks::Common::MethodResponse.failure_response(@maintenance_type)
          render json: res, status: :unprocessable_entity
        end
      end

      private

      def set_maintenance_type
        @maintenance_type = MaintenanceType.find(params[:id])
      end

      def maintenance_type_params
        params.require(:maintenance_type).permit(:code, :name, :description, :maintenance_category_id)
      end
    end
  end
end