module Mks
  module Maintenance
    class ScheduleUnitsController < ApplicationController
      before_action :set_schedule_unit, only: [:update]

      def index
        data = ScheduleUnit.all
        render json: Mks::Common::MethodResponse.success_response(data)
      end

      def create
        schedule_unit = ScheduleUnit.new(schedule_unit_params)
        if schedule_unit.valid?
          schedule_unit.save
          res = Mks::Common::MethodResponse.success_response(schedule_unit, 'Schedule unit saved successfully !')
          render json: res
        else
          res = Mks::Common::MethodResponse.failure_response(schedule_unit)
          render json: res, status: :unprocessable_entity
        end
      end

      def update
        if @schedule_unit.update(schedule_unit_params)
          res = Mks::Common::MethodResponse.success_response(
            @schedule_unit,
            'Schedule unit updated successfully !'
          )
          render json: res
        else
          res = Mks::Common::MethodResponse.failure_response(@schedule_unit)
          render json: res, status: :unprocessable_entity
        end
      end

      private

      def set_schedule_unit
        @schedule_unit = ScheduleUnit.find(params[:id])
      end

      def schedule_unit_params
        params.require(:schedule_unit).permit(:code, :name, :description)
      end
    end
  end
end