module Mks
  module Maintenance
    class JobCard < ApplicationRecord
      belongs_to :maintenance_service_order
      belongs_to :service_provider, class_name: 'Mks::Edm::EquipmentLocation'
      belongs_to :checkout_by, class_name: 'Mks::Auth::User', optional: true
      belongs_to :checkout_to, class_name: 'Mks::Edm::EquipmentLocation', optional: true
      belongs_to :maintenance_status, optional: true
      belongs_to :checkin_by, class_name: 'Mks::Auth::User', optional: true
      belongs_to :checkin_to, class_name: 'Mks::Edm::EquipmentLocation', optional: true
      belongs_to :prepared_by, class_name: 'Mks::Auth::User'

      validates :code, presence: true, uniqueness: true

      delegate(:title, to: :maintenance_service_order, prefix: true)
      delegate(:name, to: :service_provider, prefix: true)
      delegate(:full_name, to: :checkout_by, prefix: true, allow_nil: true)
      delegate(:name, to: :checkout_to, prefix: true, allow_nil: true)
      delegate(:name, to: :maintenance_status, prefix: true, allow_nil: true)
      delegate(:full_name, to: :checkin_by, prefix: true, allow_nil: true)
      delegate(:name, to: :checkin_to, prefix: true, allow_nil: true)
      delegate(:full_name, to: :prepared_by, prefix: true)
    end
  end
end