module Mks
  module Maintenance
    class MaintenanceServiceOrder < ApplicationRecord
      belongs_to :equipment_item, class_name: 'Mks::Edm::EquipmentItem'
      belongs_to :maintenance_type
      belongs_to :prepared_by, class_name: 'Mks::Auth::User'
      belongs_to :approved_by, class_name: 'Mks::Auth::User'

      validates :title, presence: true

      delegate(:name, to: :equipment_item, prefix: true)
      delegate(:name, to: :maintenance_type, prefix: true)
    end
  end
end