Mks::Maintenance::Engine.routes.draw do
  resources :cost_types, only: %i[index show create update]

  resources :job_cards, only: %i[index show create update] do
    member do
      get 'costs', controller: :maintenance_costs, action: :index
      put 'checkout', controller: :job_cards, action: :checkout
      put 'checkin', controller: :job_cards, action: :checkin
    end
  end

  get '/checkouts', controller: :job_cards, action: :checkouts
  get '/checkins', controller: :job_cards, action: :checkins

  resources :maintenance_statuses, only: %i[index create update]
  resources :maintenance_costs, only: %i[show create update]

  resources :schedule_units, only: %i[index create update]
  resources :maintenance_types, only: %i[index create update]
  resources :maintenance_categories, only: %i[index create update]
  resources :location_types, only: %i[index create update]
  resources :equipment_locations, only: %i[index create update]
  resources :maintenance_service_orders, only: %i[index create update]
  post 'filter_maintenance_service_order', controller: 'maintenance_service_orders', action: 'filter'
end
