class CreateMksMaintenanceScheduleSettings < ActiveRecord::Migration[5.1]
  def change
    create_table :mks_maintenance_schedule_settings do |t|
      t.references :equipment, index: { name: 'equipment_on_ss_indx' }
      t.references :maintenance_type, index: { name: 'mt_on_ss_indx' }
      t.references :schedule_unit, index: { name: 'su_on_ss_indx' }
      t.float :value, null: false

      t.timestamps
    end

    add_foreign_key :mks_maintenance_schedule_settings, :mks_edm_equipments, column: :equipment_id
    add_foreign_key :mks_maintenance_schedule_settings, :mks_maintenance_maintenance_types, column: :maintenance_type_id
    add_foreign_key :mks_maintenance_schedule_settings, :mks_maintenance_schedule_units, column: :schedule_unit_id
  end
end
