class CreateMksMaintenanceMaintenanceServiceOrders < ActiveRecord::Migration[5.1]
  def change
    create_table :mks_maintenance_maintenance_service_orders do |t|
      t.string :title, null: false
      t.string :description
      t.references :equipment_item, index: { name: 'ei_on_mso_indx' }
      t.references :maintenance_type, index: { name: 'mt_on_mso_indx' }
      t.date :start_date
      t.date :end_date
      t.references :prepared_by, index: { name: 'pb_on_mso_indx' }
      t.boolean :approved, default: false
      t.string :status, default: 'draft'
      t.references :approved_by, index: { name: 'ab_on_mso_indx' }
      t.string :remark
      t.float :current_reading, null: false

      t.timestamps
    end

    add_foreign_key :mks_maintenance_maintenance_service_orders, :mks_edm_equipment_items, column: :equipment_item_id
    add_foreign_key :mks_maintenance_maintenance_service_orders, :mks_maintenance_maintenance_types,
                    column: :maintenance_type_id
    add_foreign_key :mks_maintenance_maintenance_service_orders, :mks_auth_users, column: :prepared_by_id
    add_foreign_key :mks_maintenance_maintenance_service_orders, :mks_auth_users, column: :approved_by_id
  end
end
