class CreateMksMaintenanceJobCards < ActiveRecord::Migration[5.1]
  def change
    create_table :mks_maintenance_job_cards do |t|
      t.references :maintenance_service_order, index: { name: 'mso_on_jc_indx' }
      t.string :code, unique: true
      t.date :start_date
      t.date :due_date
      t.references :service_provider, index: { name: 'sp_on_jc_indx' }
      t.date :checkout_date
      t.references :checkout_by, index: { name: 'cb_on_jc_indx' }
      t.references :checkout_to, index: { name: 'ct_on_jc_indx' }
      t.references :maintenance_status, index: { name: 'ms_on_jc_indx' }
      t.date :checkin_date
      t.references :checkin_by, index: { name: 'chb_on_jc_indx' }
      t.references :checkin_to, index: { name: 'cht_on_jc_indx' }

      t.timestamps
    end

    add_foreign_key :mks_maintenance_job_cards, :mks_maintenance_maintenance_service_orders,
                    column: :maintenance_service_order_id
    add_foreign_key :mks_maintenance_job_cards, :mks_edm_equipment_locations, column: :service_provider_id
    add_foreign_key :mks_maintenance_job_cards, :mks_auth_users, column: :checkout_by_id
    add_foreign_key :mks_maintenance_job_cards, :mks_edm_equipment_locations, column: :checkout_to_id
    add_foreign_key :mks_maintenance_job_cards, :mks_maintenance_maintenance_statuses, column: :maintenance_status_id
    add_foreign_key :mks_maintenance_job_cards, :mks_auth_users, column: :checkin_by_id
    add_foreign_key :mks_maintenance_job_cards, :mks_edm_equipment_locations, column: :checkin_to_id
  end
end
