app_module = Mks::Auth::ApplicationModule.where(code: 'EMM', name: 'Equipment Maintenance Module').first_or_create
maintenance_owner = Mks::Auth::UserRole.where(name: 'maintenance_owner', application_module_id: app_module.id).first_or_create
maintenance_staff = Mks::Auth::UserRole.where(name: 'maintenance_staff', application_module_id: app_module.id).first_or_create
maintenance_approver = Mks::Auth::UserRole.where(name: 'maintenance_approver', application_module_id: app_module.id).first_or_create

menu3 = Mks::Auth::Menu.where(text: 'Maintenance Setting', application_module_id: app_module.id).first_or_create
menu4 = Mks::Auth::Menu.where(text: 'Maintenance Transaction', application_module_id: app_module.id).first_or_create
menu7 = Mks::Auth::Menu.where(text: 'Maintenance Approval', application_module_id: app_module.id).first_or_create

Mks::Auth::Menu.where(text: 'Maintenance Service Request', parent_id: menu4.id, location: 'maintenance_service_orders', application_module_id: app_module.id).first_or_create
Mks::Auth::Menu.where(text: 'Job Card', parent_id: menu4.id, location: 'job_cards', application_module_id: app_module.id).first_or_create
Mks::Auth::Menu.where(text: 'Equipment Checkin', parent_id: menu4.id, location: 'checkins', application_module_id: app_module.id).first_or_create
Mks::Auth::Menu.where(text: 'Equipment Checkout', parent_id: menu4.id, location: 'checkouts', application_module_id: app_module.id).first_or_create

Mks::Auth::Menu.where(text: 'Maintenance Request Approval', parent_id: menu7.id, location: 'maintenance_service_order_approval', application_module_id: app_module.id).first_or_create

maintenance_owner_menu = maintenance_owner.menus.where(application_module_id: app_module.id)
maintenance_owner.menus.delete(maintenance_owner_menu)
maintenance_owner.menus << menu3
maintenance_owner.menus << menu3.children

maintenance_staff_menu = maintenance_staff.menus.where(application_module_id: app_module.id)
maintenance_staff.menus.delete(maintenance_staff_menu)
maintenance_staff.menus << menu4
maintenance_staff.menus << menu4.children

maintenance_approver_menu = maintenance_approver.menus.where(application_module_id: app_module.id)
maintenance_approver.menus.delete(maintenance_approver_menu)
maintenance_approver.menus << menu7
maintenance_approver.menus << menu7.children

u2 = Mks::Auth::User.where(first_name: 'Kidus', last_name: 'M.')
if u2.empty?
  u2 = Mks::Auth::User.create(first_name: 'Kidus', last_name: 'M.', email: 'kidus@gmail.com', active: true,
                              application_modules: [app_module], password: 'kidus123')
  u2.roles << maintenance_owner
  u2.roles << maintenance_approver
  u2.roles << maintenance_staff
end

# Cost Types


